Bug 595158 - Regression - unable to remember password for pgp key, have to enter password every time want to send an email
Regression - unable to remember password for pgp key, have to enter password ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seahorse-plugins (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 13:42 EDT by markm
Modified: 2011-06-27 12:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:35:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 620352 None None None Never

  None (edit)
Description markm 2010-05-23 13:42:17 EDT
Description of problem:

In previous version of Evolution, user could simply remember authorisation, so had to enter PGP key just once. With latest update to Fedora 13, user is requested to enter PGP key to sing emails every time email is sent. There is no option “remember authorisation for the session”.

Version-Release number of selected component (if applicable):

$ rpm -qa | grep evolution
evolution-data-server-2.30.1-2.fc13.i686
evolution-help-2.30.1-2.fc13.noarch
gnome-do-plugins-evolution-0.8.2-1.fc12.i686
evolution-2.30.1-2.fc13.i686
evolution-bogofilter-2.30.1-2.fc13.i686
evolution-data-server-devel-2.30.1-2.fc13.i686
evolution-data-server-doc-2.30.1-2.fc13.noarch
evolution-sharp-0.21.1-5.fc13.i686

How reproducible:

always since update to Fedora 13

Steps to Reproduce:
1. Assign PGP key to your account and select "Sign outgoing emails"
2. Write an email, sent
3. Evolution will ask about the PGP password
  
Actual results:

there is no option to remember password for the session

Expected results:

an option to remember password for the session

Additional info:

I consider this as a regression - for users who need to send many emails it's an over kill...
Comment 1 Matthew Barnes 2010-05-23 23:44:31 EDT
Note that Evolution has no control over the dialog that prompts you for your PGP key.

Check whether you're hitting the same issue as bug #574985.
Comment 2 markm 2010-06-02 08:40:24 EDT
I have installed seahorse-plugin though it still does not allow me to remember authorisation in the session.

Please note - I did an update to Fedora 13 using "yum update" so I would expect, that same functionality would be provided after the update.

Still doesn't work for me ;(

when I try to start seahorse-agent, I get:

$ seahorse-agent 
** Message: Another GPG agent already running
Comment 3 markm 2010-06-02 08:41:00 EDT
$ env | grep GPG 
GPG_AGENT_INFO=/tmp/seahorse-qweyCE/S.gpg-agent:2251:1;
Comment 4 markm 2010-06-02 09:00:50 EDT
Ok, eventually I got it to work, yet I consider it as an usability issue - as an user who used Evolution and seahorse-agent for years in certain way, I would expect similar behaviour when upgrading out of the box.

1. the checkbox, which allowed users to cache passphrase, has been removed.
2. User is required to install additional software which is not installed by default (seahorse-plugins) but is required to maintain functionality after an upgrade.
3. System > Preferences > Encryption and Keyrings now allows users to choose whether they want to cache passphrase or not, by default it is set to not remember any passphrases - I would expect opposite.

Honestly, I much preferred the old behaviour - I was able to choose to remember passphrase or not while I was typing it - this is no longer possible and from my point of view it's a usability issue. An icon indicating cached passphrase is handy, though it's not enabled by default.

By default too many actions are required to make it work for a regular user.
Comment 5 markm 2010-06-02 09:17:35 EDT
actually, it still does not work.

although I have seahorse-agent running I get pinentry-gtk-2 popup instead of seahorse-agent's one... pinetentry won't remember my passphrase in cache :(
Comment 6 Matthew Barnes 2010-06-02 09:18:47 EDT

*** This bug has been marked as a duplicate of bug 574985 ***
Comment 7 markm 2010-06-02 09:32:41 EDT
I am sorry, I cannot reopen the other bug, issue is not fixed for me, so I am reopening that one. Thanks!
Comment 8 Bug Zapper 2011-06-02 09:39:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 12:35:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.